    Load tabular or image data and use it as a model component.

load_table_model(modelname, filename, method=linear_interp, *args, **kwargs)
modelname - str
filename - str
method - func

Deprecated in Sherpa 4.9 The new `load_xstable_model` routine should be used for loading XSPEC table model files. Support for these files will be removed from `load_table_model` in the next release.

A table model is defined on a grid of points which is interpolated onto the independent axis of the data set. The model will have at least one parameter (the amplitude, or scaling factor to multiply the data by), but may have more (if X-Spec table models are used).

Load in the data from filt.fits and use it to multiply the source model (a power law and a gaussian). Allow the amplitude for the table model to vary between 1 and 1e6, starting at 1e3.

>>> load_table_model('filt', 'filt.fits') >>> set_source(filt * (powlaw1d.pl + gauss1d.gline)) >>> set_par(filt.ampl, 1e3, min=1, max=1e6)

Load in an image ("broad.img") and use the pixel values as a model component for data set "img":

>>> load_table_model('emap', 'broad.img') >>> set_source('img', emap * gauss2d)

PARAMETERS

The parameters for this function are:

Parameter
Definition
modelname
The identifier for this table model.
filename
The name of the file containing the data, which should contain two columns, which are the x and y values for the data, or be an image.
method
The interpolation method to use to map the input data onto the coordinate grid of the data set. Linear, nearest-neighbor, and polynomial schemes are provided in the sherpa.utils module.
args
Arguments for reading in the data.
kwargs
Keyword arguments for reading in the data.

Notes

Examples of interpolation schemes provided by `sherpa.utils`

are: `linear_interp` , `nearest_interp` , `neville` , and

`neville2d` .

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023